org.apache.lucene.geo3d

## Class GeoWideSouthRectangle.EitherBound

- java.lang.Object
- - org.apache.lucene.geo3d.GeoWideSouthRectangle.EitherBound

- All Implemented Interfaces:
    Membership
  Enclosing class:
    GeoWideSouthRectangle

      protected class GeoWideSouthRectangle.EitherBound
      extends Object
      implements Membership

  Membership implementation representing width more than 180.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoWideSouthRectangle.EitherBound()` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isWithin(double x, double y, double z)` Check if a point is within this shape.
    `boolean` | `isWithin(Vector v)` Check if a point is within this shape.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoWideSouthRectangle.EitherBound

          public GeoWideSouthRectangle.EitherBound()

      Constructor.

  - ### Method Detail

    - #### isWithin

          public boolean isWithin(Vector v)

      Description copied from interface: `Membership`
      Check if a point is within this shape.
      Specified by:
        `isWithin` in interface `Membership`
      Parameters:
        `v` - is the point to check.
      Returns:
        true if the point is within this shape

    - #### isWithin

          public boolean isWithin(double x,
                         double y,
                         double z)

      Description copied from interface: `Membership`
      Check if a point is within this shape.
      Specified by:
        `isWithin` in interface `Membership`
      Parameters:
        `x` - is x coordinate of point to check.
        `y` - is y coordinate of point to check.
        `z` - is z coordinate of point to check.
      Returns:
        true if the point is within this shape

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.